Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.security
Class JAASSecurityManager.SimplePrincipal

    java.lang.Object
      org.hornetq.spi.core.security.JAASSecurityManager.SimplePrincipal

All Implemented Interfaces:
  Serializable, Principal

Enclosing class:
  JAASSecurityManager

    public static class JAASSecurityManager.SimplePrincipal

extends Object
implements Principal, Serializable

See Also:
  Serialized Form

Constructor Summary
`JAASSecurityManager.SimplePrincipal(String name)`

Method Summary
`boolean` | `equals(Object another)` Compare this SimplePrincipal's name against another Principal
`String` | `getName()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAASSecurityManager.SimplePrincipal

    public JAASSecurityManager.SimplePrincipal(String name)

Method Detail

### equals

    public boolean equals(Object another)

  Compare this SimplePrincipal's name against another Principal

  Specified by:
    `equals` in interface `Principal`
  Overrides:
    `equals` in class `Object`
  Returns:
    true if name equals another.getName();

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Principal`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Specified by:
    `toString` in interface `Principal`
  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Principal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.